
/* button */
.btn_wrap{width:100%;text-align:center;margin-top:20px;}

button, .btn{display:inline-block;border-radius:var(--border-radius);background-color:#fff;border:1px solid #666;outline:0;padding:0 30px;font-weight:500;height:48px;font-size:1.06em;vertical-align: middle;}

button.b_major, .btn.b_major{background-color:#e74143;border-color:#e74143;color:#fff;}
button.b_focus{background-color:#777;border-color:#777;color:#fff;}

.b_login{width:100%;height:52px;font-size:1.2em;margin-top:15px;}
.b_major.b_login{margin-top:30px;}

.b_find{display:inline-block;font-size:1.07em;margin-top:15px;background-image: linear-gradient(transparent 23px, #e0002a 1px); background-repeat: no-repeat; background-position: 0 100%; background-size: 0% 100%; -webkit-transition: background-size 0.2s ease-in-out; transition: background-size 0.2s ease-in-out; padding-bottom: 2px;}
.b_find:hover {color: #e0002a;background-size: 100% 100%; color: #e0002a;}

.b_search.small{width:44px;height:35px;text-indent:-99999px;overflow:hidden;background:#fff url(../images/search_small.png) no-repeat center;padding:0;}
.b_search.normal{position:absolute;top:15px;right:20px;height:35px;padding:0 10px 0 32px;background:#fff url(../images/search_small.png) no-repeat 10px 50%;}

.help{position:absolute;top:35px;right:0;height:35px;padding:0 10px;font-size:1em;font-weight:400;}
.help:before{content:'?';margin-right:5px;color:#ff6600;font-weight:700;}

.file{position:relative;display:inline-block;width:24px;height:22px;text-indent:-99999px;overflow:hidden;vertical-align:middle;}
.file:before{display:inline-block;content:'';position:absolute;top:0;left:0;width:22px;height:22px;background:#fff url(../images/file.png) no-repeat center;border:1px solid #999;border-radius:2px;vertical-align:middle;}
.m_list_wrap .file, .input_wrap .file{width:auto;height:auto;text-indent:0;overflow:visible;padding-left:27px;text-decoration:none;}

.board_header{position:relative;min-height:30px;margin-bottom:15px;}
.board_header .btn_wrap{position:absolute;bottom:0;right:0;text-align:right;}
.check_form .btn_wrap{margin-top:0;width:100%;text-align:right;}
.m_all_checked{display:none;}

button.normal{height:35px;padding:0 20px;}

button.left{float:left;margin-right:3px;}

button.like{height:32px;padding:0 10px;background-color:rgba(231,65,67,0.05);border:1px solid rgba(231,65,67,0.4);}
button.like em{display:inline-block;width:20px;height:100%;background:url(../images/like.png) no-repeat center;text-indent:-99999px;overflow:hidden;vertical-align:top;margin-right:5px;}
button.like span{display:inline-block;height:100%;line-height:32px;vertical-align:top;}
button.like.no{background-color:rgba(0,0,0,0.03);border-color:rgba(0,0,0,0.22);}
button.like.no em{background-image:url(../images/unlike.png);}

.btn_small{position:relative;width:100%;}
.btn_small .btn_wrap{position:absolute;bottom:15px;right:0;display:inline-block;width:auto;}
button.small{height:32px;padding:0 10px;font-size:0.93em;color:#888;border-color:#ccc;}

@media (max-width:1280px){
.help{top:13px;height:32px;}

.b_search.normal{top:auto;height:32px;bottom:10px;}
.search_wrap.board_header .b_search.normal{width:44px;background-position:center;text-indent:-99999px;overflow:hidden;}

.b_login{margin-top:10px;}
.b_major.b_login{margin-top:20px;}

.b_search.small{height:32px;}

.board_header{margin-bottom:10px;}
.board_header .btn_wrap{position:relative;bottom:auto;right:auto;margin:0;text-align:right;}
.m_all_checked{float:left;height:32px;padding:0 10px;text-align:center;border:1px solid #ddd;display:flex;align-items:center;justify-content:center;}

button.normal{height:32px;padding:0 10px;}

.btn_small .btn_wrap{bottom:8px;}
button.small{height:28px;}
}
